# Generated by configure.  Do NOT edit.

commit 00b69d71590d93453ec08afd0f06bb77005a9e34
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Sep 16 14:52:03 2010 +0100

    Clutter-GTK 0.10.8 (stable release)

 NEWS         |    8 +++++++-
 configure.ac |    4 ++--
 2 files changed, 9 insertions(+), 3 deletions(-)

commit f41485016c73354768b1db52fff5ec0ef36c02ea
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Sep 16 14:47:18 2010 +0100

    Remove GDK_DISPLAY macro usage
    
    The macro has been deprecated and it should not be used.

 clutter-gtk/gtk-clutter-util.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4409bbe7ac361898d31735001b56e65d5f4d829d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Sep 16 14:40:30 2010 +0100

    Add pc files to Git ignore

 .gitignore |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 40aae682b1823f04e5407469d7e923621541a074
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Sep 16 14:38:22 2010 +0100

    build: Update to something resembling sanity

 Makefile.am                      |    6 +--
 autogen.sh                       |   13 +-----
 build/autotools/Makefile.am      |    5 +--
 build/autotools/introspection.m4 |   10 ++++-
 build/autotools/shave-libtool.in |   73 -----------------------------------
 build/autotools/shave.in         |   79 --------------------------------------
 build/autotools/shave.m4         |   77 -------------------------------------
 clutter-gtk/Makefile.am          |   61 ++++++++++++++---------------
 configure.ac                     |   21 +++++-----
 9 files changed, 51 insertions(+), 294 deletions(-)

commit 4fe100c9e22d04efce1303a9ae5e4fd4aef17943
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Aug 12 17:55:53 2010 +0100

    Post-release version bump to 0.10.7

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 657ad8a07bdc9b2e02a94abaf71b2b03b94b0b4f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Aug 12 17:49:01 2010 +0100

    Release clutter-gtk 0.10.6 (stable release)

 NEWS         |    5 +++++
 configure.ac |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 00ce57fa8d55829fadd06640b5dca139d81b1022
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Aug 12 17:53:53 2010 +0100

    embed: Use ClutterSettings if available

 clutter-gtk/gtk-clutter-embed.c |   35 ++++++++++++++++++++++++++++-------
 1 files changed, 28 insertions(+), 7 deletions(-)

commit 525eb7f6e141f28e59e155cd50a0f2d588e69f3a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 9 15:05:06 2010 +0100

    embed: Forward Key events
    
    Apparently, the GDK filter function we use with GtkClutterEmbed is not
    receiving any key event. In order to make them work, we need to fall
    back to the event forwarding we used prior to 0.90.
    
    (cherry-pick from 2eb1e5322b6a6036d354c9eaeeeb1ecc14fbf269)

 clutter-gtk/gtk-clutter-embed.c |   51 +++++++++++++++++++++++++++++++-----
 examples/gtk-clutter-events.c   |   54 +++++++++++++++++++++++++++++++++------
 2 files changed, 90 insertions(+), 15 deletions(-)

commit 0c3deed90cb3a97a3fd1882fd1299fbafa566780
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 20 13:19:53 2010 +0100

    embed: Use a GDK filter for event handling
    
    Instead of transforming GdkEvents from GtkWidget's virtual functions
    into ClutterEvents, we should use a filter function and propagate all
    events from X to Clutter. This simplifies a great deal of the event
    handling and allows clutter-gtk to be more resilient against changes
    in Clutter and GTK+.
    
    (cherry-picked from 6813c22991672dfcb5ae87488693c4f39017bc70)

 clutter-gtk/gtk-clutter-embed.c |  276 +++++++--------------------------------
 1 files changed, 45 insertions(+), 231 deletions(-)

commit fe7d5b12fe007980f772d176616105be7a79b220
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 18 21:20:12 2010 +0000

    Post-release version bump to 0.10.5

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 067bc79c93ea8deff74942b3fb97414c09a07f8f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 18 21:17:54 2010 +0000

    Release 0.10.4

 NEWS         |   18 ++++++++++++++++--
 README       |    6 +++---
 configure.ac |    2 +-
 3 files changed, 20 insertions(+), 6 deletions(-)

commit e2eb23837a2ce1bd83d1cc3cecee5c9ddef3bf5d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Mar 13 23:17:45 2010 +0000

    embed: Fix dumb typo

 clutter-gtk/gtk-clutter-embed.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 920ec05edf8d632d76c564253c74f7ec3c5f0428
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 10 23:36:45 2010 +0000

    embed: Do not use deprecated API
    
    Drop the deprecated flag accessor macros and avoid using direct access
    to struct members.

 clutter-gtk/gtk-clutter-embed.c |   72 ++++++++++++++++++++++----------------
 1 files changed, 42 insertions(+), 30 deletions(-)

commit 2c313a75d60d707b266d0ee797f0625bc4e47c23
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 10 23:36:11 2010 +0000

    build: Depend on gtk+ >= 2.19.5
    
    Since we're disabling deprecated API we should build with the latest
    version of gtk+.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5213d4324d6ba426241f13ae8590958bd3ce0107
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 10 23:34:18 2010 +0000

    Add annotations for Scrollable and Zoomable
    
    http://bugzilla.openedhand.com/show_bug.cgi?id=1823

 clutter-gtk/gtk-clutter-scrollable.c |    8 ++++----
 clutter-gtk/gtk-clutter-zoomable.c   |    2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

commit b5a97d78aeed03e6e4e6b7d862c54482b2306167
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 10 23:28:47 2010 +0000

    Update the license file
    
    Clutter-GTK is a LGPL library, not GPL. The default license fallback for
    autotools is GPL-latest.
    
    http://bugzilla.openedhand.com/show_bug.cgi?id=1778

 COPYING |  666 +++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 415 insertions(+), 251 deletions(-)

commit 5f1e4101b9c68a67376dc0616e68b6e1c7d7b83e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 10 23:16:07 2010 +0000

    embed: Add transfer annotation for get_stage()
    
    Also update the documentation mentioning that multiple calls on the same
    GtkClutterEmbed widget will return the same stage.
    
    http://bugzilla.openedhand.com/show_bug.cgi?id=1823

 clutter-gtk/gtk-clutter-embed.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 4631dd39aa026528d0f5e4174663015b491b56a7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 17 18:39:33 2010 +0000

    embed: Update input devices
    
    The event handling in Clutter has been changed internally to always use
    input devices to store the state of the pointers and to emit ENTER/LEAVE
    event pairs consistently. This means that GtkClutterEmbed should be
    responsible of updating the state of the input devices, since we're
    completely overriding the event handling.

 clutter-gtk/gtk-clutter-embed.c |  123 ++++++++++++++++++++++++++++++++------
 1 files changed, 103 insertions(+), 20 deletions(-)

commit 6910ff206c476fa4832968ab93741077324a5f09
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 17 18:38:31 2010 +0000

    build: Require Clutter 1.2.0
    
    Depend on the newly released stable version of Clutter.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b92329c4c1288019e2dea6567e2b5e98eb0a9992
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 5 17:22:24 2010 +0000

    examples: Use gtk_clutter_init_with_args()
    
    Exercise the option-based variant of gtk_clutter_init().

 examples/gtk-clutter-test.c |   17 ++++++++++++++---
 1 files changed, 14 insertions(+), 3 deletions(-)

commit 7b21f036b1dcbf23405291d274034524a42db4ac
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 5 17:20:24 2010 +0000

    Register the Clutter option group as well
    
    The gtk_clutter_init_with_args() registers the GTK+ option group and the
    application's entries, but it doesn't register the Clutter option group.
    
    Instead we should get all option groups, and parse them using our own
    GOptionContext.

 clutter-gtk/gtk-clutter-util.c |   26 +++++++++++++++++++++-----
 1 files changed, 21 insertions(+), 5 deletions(-)

commit 50af09dab8a1be33d1a69f440dbe85f5c71862ea
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Aug 29 13:08:55 2009 +0100

    [introspection] Depend on G-I 0.6.4
    
    Change the introspection generation to use the .la file, now that we
    can depend on it.
    
    Backport from master:
    
      59a63179519953a041b6f2365ec797bf1201ddef

 clutter-gtk/Makefile.am |   10 ++++++++--
 configure.ac            |    2 +-
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 0e93d0cfa809c425cad89ae571ff452817a1110c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Aug 29 13:08:31 2009 +0100

    [build] Use the right Clutter to generate docs references
    
    Backport from master:
    
      afa3e7381d9776500a99f1045f31a3a268a6d243

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5dfc07761adf3ab3d1c9ee97b92bc4a65473db36
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jul 29 12:29:18 2009 +0100

    Post-release bump to 0.10.3

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f841642ba433a6da52413a918fbb4d04ac08b969
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jul 29 12:26:07 2009 +0100

    [release] 0.10.2

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ccbdc3bc2d08bb7bf725cc3ec657742e3186e786
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jul 29 12:23:38 2009 +0100

    [pc] Fix the include path
    
    The include path for Clutter-GTK is:
    
      $(includedir)/clutter-<clutter_api_version>
    
    and not <clutter_gtk_api_version>.

 clutter-gtk.pc.in |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit ada5d740d292f2c9ce81aabfea07a179c837e3ed
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jul 29 12:03:53 2009 +0100

    Post-release bump to 0.10.1

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6625294777278cf872bcdaf0510060ee17a12ac8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 28 18:42:35 2009 +0100

    [release] 0.10

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 57c62f0d65209dad9463eee4871f83e4b63e8bfd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 28 18:42:20 2009 +0100

    Update NEWS

 NEWS |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit 40f2d1217972431ee15063ffd6211c71a1b99105
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 28 18:21:56 2009 +0100

    [docs] Update the Since tags
    
    The next stable release of clutter-gtk is going to be 0.10.

 clutter-gtk/gtk-clutter-scrollable.c |   13 +++++++------
 clutter-gtk/gtk-clutter-scrollable.h |    2 +-
 clutter-gtk/gtk-clutter-util.c       |    2 +-
 clutter-gtk/gtk-clutter-util.h       |    2 +-
 clutter-gtk/gtk-clutter-viewport.c   |   10 +++++-----
 clutter-gtk/gtk-clutter-zoomable.c   |   10 ++++++----
 6 files changed, 21 insertions(+), 18 deletions(-)

commit ccfd7d394f1c94150a29bf4774906c5ab4f13a88
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 28 18:13:41 2009 +0100

    [docs] Update the API Reference
    
    * Add the GtkClutterZoomable interface section
    
    * Make the index reference version 0.10 and not 1.0

 doc/reference/clutter-gtk-docs.xml     |    5 +++--
 doc/reference/clutter-gtk-sections.txt |   20 ++++++++++++++++++++
 2 files changed, 23 insertions(+), 2 deletions(-)

commit 08c6c462cbef93667555bd46a1f8e4b93c9b3731
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 28 18:10:30 2009 +0100

    [build] Depend on Clutter 1.0.0
    
    We require the new stable version of Clutter, now that we have it.

 README                  |    2 +-
 clutter-gtk/Makefile.am |    6 +++---
 configure.ac            |   10 +++++-----
 3 files changed, 9 insertions(+), 9 deletions(-)

commit e5134f0d63dc342e778dc99cc1c0d4e75aeb33da
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 28 18:03:06 2009 +0100

    [build] Use symbolic values for clutter-gtk version
    
    We should be using CLUTTER_GTK_API_VERSION instead of hardcoding 0.9
    or using MAJOR.MINOR explicitly.

 Makefile.am               |    8 ++++----
 clutter-gtk/Makefile.am   |   20 ++++++++++----------
 doc/reference/Makefile.am |    2 +-
 examples/Makefile.am      |    4 ++--
 4 files changed, 17 insertions(+), 17 deletions(-)

commit 2456362cdb08bc4580ddef5e4748c2439a201c7e
Merge: 0da2fa2 b40c37e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Jul 19 00:48:35 2009 +0100

    Merge branch 'zoomable'
    
    * zoomable:
      [git ignore] Ignore backup and m4 files
      Update the Viewport example
      [viewport] Implement Zoomable
      [zoomable] Fix Introspection data generation
      [zoomable] Add Zoomable interface
    
    Conflicts:
    	clutter-gtk/Makefile.am
    	clutter-gtk/gtk-clutter-viewport.c

commit 0da2fa2f79733bf8dcfe32c2e744ea22a84beff7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Jul 18 20:44:04 2009 +0100

    [viewport] Use the ::apply_transform vfunc
    
    Since Clutter added the ::apply_transform() virtual function for
    actors adding a layer of transformations on top of the usual
    scenegraph-related ones, GtkClutterViewport should use it.

 clutter-gtk/gtk-clutter-viewport.c |   40 +++++++++++++++++++++--------------
 1 files changed, 24 insertions(+), 16 deletions(-)

commit a5b166c47791986b2f95146f8aebc22e365d975b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jul 17 12:31:35 2009 +0100

    [examples] Add a Notebook case
    
    Embedding a Stage inside a notebook leads to interesting results:
    
      - if you call clutter_actor_show() on the embedded stage
        you'll probably get an unembedded stage
      - you might get small artifacts
    
    Let's update the gtk-clutter-multistage example by adding Notebook
    and embedding three stages inside two different pages.

 examples/gtk-clutter-multistage.c |   26 ++++++++++++++++++--------
 1 files changed, 18 insertions(+), 8 deletions(-)

commit d409fa6b7c1bfcda75a320f8b7153ab5ea2fe440
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Jul 18 20:50:06 2009 +0100

    Bump up the required Clutter version

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2560f55a6766b54d90a299835053e5a277a518f3
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Jul 16 17:26:04 2009 +0100

    [util] Add error arguments to texture functions
    
    Add boolean returns and GError arguments to gtk_clutter_texture_set_*
    This lets you discover if the call was successful more easily. Also
    remove the fallback situation of setting missing-icon, this can now be
    handled by the application.
    
    Reviewed by Emmanuele Bassi <ebassi@linux.intel.com>

 clutter-gtk/gtk-clutter-util.c         |  104 +++++++++++++++++---------------
 clutter-gtk/gtk-clutter-util.h         |   32 ++++++++--
 doc/reference/clutter-gtk-sections.txt |    1 +
 3 files changed, 83 insertions(+), 54 deletions(-)

commit 39aee7284af2836542d7e8ec081158af9b7e5ac9
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu Jun 25 12:11:17 2009 +0200

    Make GtkClutterEmbed derive from GtkContainer
    
    This is required to later add child widgets when embedding Gtk+ widgets in
    clutter.
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter-gtk/gtk-clutter-embed.c |   37 ++++++++++++++++++++++++++++++++++++-
 clutter-gtk/gtk-clutter-embed.h |    4 ++--
 2 files changed, 38 insertions(+), 3 deletions(-)

commit 7639ca01d2ce9114e4d4136db90804a167c2f345
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 22 18:19:57 2009 +0100

    Post-release bump to 0.9.3

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2129d02c278aa6d02ed48aa1076e1167a660f975
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 22 18:00:16 2009 +0100

    [release] 0.9.2

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c5e1ed17d2cbad5d510ec7410cf005fc951296f8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 22 17:54:42 2009 +0100

    [release] Update the NEWS

 NEWS |   30 ++++++++++++++++++++++++++++++
 1 files changed, 30 insertions(+), 0 deletions(-)

commit ca97935596f521e1039e3a765ec21a2114afa33d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 22 18:15:17 2009 +0100

    [build] Use AS_COMPILER_FLAGS
    
    We should use the AS_COMPILER_FLAGS m4 macro to allow for graceful
    handling of compiler flags on different versions of GCC and on
    different compilers.

 build/autotools/Makefile.am         |    7 +++-
 build/autotools/as-compiler-flag.m4 |   62 +++++++++++++++++++++++++++++++++++
 configure.ac                        |    5 ++-
 3 files changed, 72 insertions(+), 2 deletions(-)

commit 4844555a00a691e96ae1b4c9b0fd38ea480d2337
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 22 18:08:24 2009 +0100

    [build] Fixes for distcheck
    
    Use variables to define the paths for header and source files.

 clutter-gtk/Makefile.am |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

commit 8324fd2f46d9521e009cbe7a3c3634e0f1dcea14
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 22 18:02:45 2009 +0100

    [build] Depend on the latest stable release of Clutter

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4af4e49b841f02bd3e4b0907018b43c0d5dac565
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 22 17:59:04 2009 +0100

    [build] Remove the reference to introspection.m4
    
    The introspection.m4 file is inside build/autotools.

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 55d4178801dbe141243369cc20e6fd9b97b25ff0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 22 17:54:16 2009 +0100

    [doap] Update description and maintainer

 clutter-gtk.doap |   19 ++++++++-----------
 1 files changed, 8 insertions(+), 11 deletions(-)

commit b40c37e364f118223e5b9dae9c7890cd6b2dc7bf
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 22 15:45:17 2009 +0100

    [git ignore] Ignore backup and m4 files

 .gitignore |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit b8cfcc7d9959c770a6d48adbd39d7b9e70f7a56e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 22 15:43:03 2009 +0100

    Update the Viewport example
    
    The GtkClutterViewport example shows how to use the newly added
    support for the Zoomable interface inside the Viewport actor.
    
    It's a pretty trivial implementation, but it should be enough
    to show how it's done.

 examples/gtk-clutter-viewport.c |   35 ++++++++++++++++++++++++++++++-----
 1 files changed, 30 insertions(+), 5 deletions(-)

commit 063502210a5fa1af4005268b2deb91ed099317ed
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 22 15:41:54 2009 +0100

    [viewport] Implement Zoomable
    
    Make GtkClutterViewport implement the Zoomable interface. Currently
    the default Z adjustment only allows zoom out because I'm lazy.

 clutter-gtk/gtk-clutter-viewport.c |  329 ++++++++++++++++++++++++++++--------
 clutter-gtk/gtk-clutter-viewport.h |    3 +-
 examples/gtk-clutter-viewport.c    |    2 +-
 3 files changed, 265 insertions(+), 69 deletions(-)

commit 51d28c39cc994104cad5c14cb5298a22ee6e195e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 22 15:39:50 2009 +0100

    [zoomable] Fix Introspection data generation
    
    * Add annotations to the Zoomable methods.
    
    * Fix the naming of the arguments for the set_adjustment() virtual
      function, so that g-ir-scanner doesn't get confused.

 clutter-gtk/gtk-clutter-zoomable.c |    4 ++--
 clutter-gtk/gtk-clutter-zoomable.h |    3 ++-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 4c09e240a4f89653162cb76079bb06b0837e4c8e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 15 15:30:24 2009 +0100

    [zoomable] Add Zoomable interface
    
    Add a GtkClutterZoomable interface, connecting a ClutterActor
    to a GtkAdjustment in the same spirit as the Scrollable interface.

 clutter-gtk/Makefile.am            |    7 +-
 clutter-gtk/clutter-gtk.h          |    1 +
 clutter-gtk/gtk-clutter-zoomable.c |  117 ++++++++++++++++++++++++++++++++++++
 clutter-gtk/gtk-clutter-zoomable.h |   49 +++++++++++++++
 4 files changed, 171 insertions(+), 3 deletions(-)

commit 0ffd4a8d5efc6a4a63062fa3f167c03dc221a99a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 22 12:23:12 2009 +0100

    Use variables for the include path and linker flags
    
    Instead of hardcoding the Clutter API version, we should be using
    variables.

 clutter-gtk.pc.in |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 554fa2271deee9e1699cd929f0ba38c754007d17
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Jun 16 15:09:24 2009 +0100

    guard against hiding priv->stage when already destroyed during dispose
    
    Before chaining up to gtk in gtk_clutter_embed_dispose we destroy
    priv->stage, but gtk will emit a hide signal during it's dispose so we
    need to guard against calling clutter_actor_hide (priv->stage) if
    the stage has been destroyed.

 clutter-gtk/gtk-clutter-embed.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 4db0bb573a84921d00e5c9d5e04958cd516d8126
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 10 17:22:06 2009 +0100

    [build] Use the right inclusion path in the pc file
    
    The inclusion path for Clutter-GTK is:
    
      $(includedir)/clutter-$(clutter_api_version)
    
    So that:
    
      #include <clutter-gtk/clutter-gtk.h>
    
    Will work as expected.

 clutter-gtk.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8ec62ca24c08e54322674541e6c516ecaf61f0b2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 8 17:06:14 2009 +0100

    Use clutter_event_get_key_symbol()
    
    The clutter_key_event_symbol() function was renamed upstream.

 examples/gtk-clutter-test.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 6a8f0badec6c15b9894c8e8bb128d7ea59ca9cc4
Merge: f28e3cd 86f41ea
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 5 14:17:16 2009 +0100

    Merge branch '1.0-integration'
    
    * 1.0-integration:
      [gtk-clutter-test] Update for the clutter timeline changes
      [examples] Use different sized stages
      Updates for 1.0 API changes in Clutter
      Update for Clutter 1.0 API changes
    
    Conflicts:
    	examples/gtk-clutter-multistage.c

commit 86f41eaacd406902b5d772417738529c971d5935
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Jun 5 14:06:41 2009 +0100

    [gtk-clutter-test] Update for the clutter timeline changes
    
    ClutterTimeline no longer has a frame number so we need to calculate
    the rotation using clutter_timeline_get_progress.

 examples/gtk-clutter-test.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 8e4966de6a061349a5b8669e4f86a87da1efb19d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 4 17:48:44 2009 +0100

    [examples] Use different sized stages
    
    The multi-stage example should use two stages with different stages.
    
    Also, we should show the ::allocation-changed signal.

 examples/gtk-clutter-multistage.c |   19 +++++++++++++++++--
 1 files changed, 17 insertions(+), 2 deletions(-)

commit 61a48cd1f544ace481897987965ba4cb6e1acc3b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 4 16:52:07 2009 +0100

    Updates for 1.0 API changes in Clutter
    
    All the Unit-related symbols have been removed.

 clutter-gtk/gtk-clutter-embed.c    |    2 -
 clutter-gtk/gtk-clutter-viewport.c |   60 +++++++++++++++++-------------------
 2 files changed, 28 insertions(+), 34 deletions(-)

commit f28e3cd1d83833d373fba7f001ce03b0b9e06fe2
Author: Aaron Bockover <abockover@novell.com>
Date:   Mon May 25 21:12:03 2009 -0400

    [embed] Fix on_stage_queue_redraw signature
    
    The second argument for the queue-redraw signal is a
    ClutterActor*, not a gboolean. This caused the stack to
    be corrupt on 64 bit.
    
    Fixes bug:
    
      http://bugzilla.openedhand.com/show_bug.cgi?id=1614
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter-gtk/gtk-clutter-embed.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f948d66c3ccb993250da8aa860e6be4626f6d014
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed May 20 16:45:49 2009 +0100

    Update for Clutter 1.0 API changes
    
    * Move everything to float
    
    * Rework the map/unmap handling

 clutter-gtk/gtk-clutter-embed.c    |   71 ++++++++++++++++++++++++++++++------
 clutter-gtk/gtk-clutter-viewport.c |   10 +++---
 examples/gtk-clutter-events.c      |    6 ++--
 examples/gtk-clutter-test.c        |    4 +-
 examples/gtk-clutter-viewport.c    |    2 +-
 5 files changed, 71 insertions(+), 22 deletions(-)

commit 89bf3ebf4a5bd8a666ff94d81061f1209c5d53d9
Author: Colin Walters <walters@verbum.org>
Date:   Mon May 11 18:04:36 2009 +0100

    Build GObject introspection data for clutter-gtk
    
    Generate the GIR and the typelib for Clutter-GTK using the
    GObject-Introspection scanner and compiler, respectively.
    
    Original patch by: Colin Walters <walters@verbum.org>
    Patch updated by: Brian Cameron <brian.cameron@sun.com>
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 .gitignore                       |    2 +
 Makefile.am                      |    2 +-
 build/autotools/Makefile.am      |    2 +-
 build/autotools/introspection.m4 |   88 ++++++++++++++++++++++++++++++++++++++
 build/autotools/shave-libtool.in |    8 +++-
 clutter-gtk/Makefile.am          |   36 +++++++++++++++
 configure.ac                     |    3 +
 7 files changed, 137 insertions(+), 4 deletions(-)

commit 7209f24a26e26bf674ffaf391b7ca223816fd143
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon May 11 15:06:56 2009 +0100

    Post-release bump to 0.9.1

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0c850c4a258acd90a9e96ca486c9605d832a6a7e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon May 11 15:04:54 2009 +0100

    [release] 0.9.0

 NEWS |   40 ++++++++++++++++++++++++++++++++++++++++
 1 files changed, 40 insertions(+), 0 deletions(-)

commit 2afe2c73619a8727822edc51739ef12098c18162
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon May 11 15:01:28 2009 +0100

    [build] Generate ChangeLog starting from the git import
    
    Instead of using the SVN entries to generate the ChangeLog we
    should use the git-import tag and only start from the point in
    the history when we switched to Git.

 Makefile.am |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit fef669b1c24a3bd9de1bd8f7b78ca80ead0e73f3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon May 11 15:00:25 2009 +0100

    [examples] Tweak multistage example
    
    * Use different sizes for the two stages
    
    * Keep the texture centered on the second stage using the
      notify::allocation signal

 examples/gtk-clutter-multistage.c |   19 +++++++++++++++++--
 1 files changed, 17 insertions(+), 2 deletions(-)

commit f3476a190d0f802a601ef909713c5c230481cee3
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon May 11 14:27:36 2009 +0100

    [gtk-clutter-embed] Fill in the unicode_value field of ClutterKeyEvent
    
    The unicode value is translated from the keyval by
    gdk_keyval_to_unicode. We can't easily use the 'string' field of
    GdkEventKey because it is in the current locale (not UTF-8).

 clutter-gtk/gtk-clutter-embed.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 345c3c7a166957f00e191288537206e1e52135fe
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 14 23:54:57 2009 +0100

    [gitignore] Add more gtk-doc files

 .gitignore |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit f24f34a7474a80a0f9fc37f0401ff6cf0ea2f479
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 14 23:53:45 2009 +0100

    [build] Add a ChangeLog generation rule
    
    Just like Clutter, we need to generate a proper ChangeLog when
    distchecking so that users of the tarball will still have a
    detailed list of changes.

 Makefile.am |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 814b57a966f0909d5959e98e699fdd83698bf82d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 14 23:53:03 2009 +0100

    [build] Recurse under build/
    
    We need to dist the shave script templates and macros, so we need
    to recurse under build/ as well.

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f5788bee40ce26a562b57335acc6eeadaf1b519d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 14 23:52:32 2009 +0100

    [readme] Update the dependencies
    
    We don't depend on Clutter 0.8.

 README |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 57a41824871fbdd6e17b11e3c8b6b15bca922bfc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 14 23:52:20 2009 +0100

    [authors] Update my email address

 AUTHORS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8b4a7b40099f5d19e2945b05482cb73c66c3bd8b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 14 23:51:04 2009 +0100

    Rename the svn ChangeLog and add dummy one
    
    The old ChangeLog we used under Subversion should be renamed. We
    still need a dummy ChangeLog, though.

 ChangeLog     |  646 +--------------------------------------------------------
 ChangeLog.SVN |  643 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 647 insertions(+), 642 deletions(-)

commit f0a2387889d3e512fea8991a1b93ebe1fc237125
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 14 17:20:32 2009 +0100

    [gitignore] Create the ignore list

 .gitignore |   39 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 39 insertions(+), 0 deletions(-)

commit aa77e57c5aa2cc071002af575cc4f91930901d50
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 14 17:19:04 2009 +0100

    [docs] Improve the documentation
    
    Add missing symbols to the sections file, and describe the
    Clutter-Gtk library.

 doc/reference/clutter-gtk-docs.xml     |   42 +++++++++++++++++++++++++++----
 doc/reference/clutter-gtk-sections.txt |    2 +-
 2 files changed, 37 insertions(+), 7 deletions(-)

commit 42da1d2aeb955eebba382f1a142e15d7273021c8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 14 17:16:41 2009 +0100

    [build] Improve build environment
    
    * De-crustify the configure.ac file by using AS_IF(), AS_CASE()
      and other useful macros
    
    * Update all the variables
    
    * Fix the pkg-config file Requires:, and expose the flavour
      and API version as variables
    
    * Fix the autogen.sh script
    
    * Use Shave to clean up the libtool and gcc incantations and
      make the output useful again

 Makefile.am                      |   10 ++-
 autogen.sh                       |   30 +++++-
 build/Makefile.am                |    1 +
 build/autotools/Makefile.am      |    3 +
 build/autotools/shave-libtool.in |   69 +++++++++++++
 build/autotools/shave.in         |   79 ++++++++++++++
 build/autotools/shave.m4         |   77 ++++++++++++++
 clutter-gtk.pc.in                |   10 +-
 clutter-gtk/Makefile.am          |   29 +++--
 configure.ac                     |  210 +++++++++++++++++++++-----------------
 doc/reference/Makefile.am        |   15 ++-
 examples/Makefile.am             |    2 +-
 12 files changed, 414 insertions(+), 121 deletions(-)

commit 87ff77386cc502a0beed6bd1e1398c449e607e9f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 14 17:13:02 2009 +0100

    [tests] Remove compiler warnings
    
    The tests have some unused variables that will make gcc whine.

 examples/gtk-clutter-multistage.c |    6 +-----
 examples/gtk-clutter-test.c       |    2 +-
 examples/gtk-clutter-viewport.c   |    3 ---
 3 files changed, 2 insertions(+), 9 deletions(-)

commit 19f16f1c112e3aa1eb12eb764feb821c97bc9e1c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 14 14:52:34 2009 +0100

    Move init functions out of Embed source
    
    The gtk_clutter_init* family of functions should live in the
    utilities code, and not inside the GtkClutterEmbed header and
    source files.

 clutter-gtk/gtk-clutter-embed.c |   85 ---------------------------------
 clutter-gtk/gtk-clutter-embed.h |   25 ----------
 clutter-gtk/gtk-clutter-util.c  |  100 ++++++++++++++++++++++++++++++++++++++-
 clutter-gtk/gtk-clutter-util.h  |   25 ++++++++++
 4 files changed, 124 insertions(+), 111 deletions(-)

commit 90b792ede16cd8e51467ae37d4610a8a2e570c7d
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 30 20:27:48 2009 +0200

    Add gtk_clutter_init_with_args()
    
    This function allows calling gtk_init_with_args() and
    clutter_init_with_args(), supplying the command line entries,
    a translation domain and getting a run-time error back.
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter-gtk/gtk-clutter-embed.c |   55 +++++++++++++++++++++++++++++++++++++++
 clutter-gtk/gtk-clutter-embed.h |    6 ++++
 2 files changed, 61 insertions(+), 0 deletions(-)

commit 1625165425add0aebe8aaec211bcce0c60cacd1d
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 30 20:19:45 2009 +0200

    [embed] Do NOT realize from GtkWidgetClass::show
    
    Fixes bug:
    
      http://bugzilla.openedhand.com/show_bug.cgi?id=1185
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter-gtk/gtk-clutter-embed.c |   46 +++++++++++++++++++-------------------
 1 files changed, 23 insertions(+), 23 deletions(-)

commit a3464c1ddb4ae78b27f9922155a8ea97d09df9af
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 14 14:07:29 2009 +0100

    Change the GtkClutter macro namespace
    
    The namespace for the object provided by clutter-gtk should be
    GtkClutter and not Gtk, to avoid potential collisions with
    symbols provided by gtk+.
    
    This also fixes http://bugzilla.openedhand.com/show_bug.cgi?id=1187
    and other parsers assuming that the namespace is GtkClutter.

 clutter-gtk/gtk-clutter-embed.c        |    6 +++---
 clutter-gtk/gtk-clutter-embed.h        |   12 ++++++------
 clutter-gtk/gtk-clutter-scrollable.c   |    4 ++--
 clutter-gtk/gtk-clutter-scrollable.h   |    8 ++++----
 clutter-gtk/gtk-clutter-viewport.c     |    8 ++++----
 clutter-gtk/gtk-clutter-viewport.h     |   12 ++++++------
 doc/reference/clutter-gtk-sections.txt |   16 ++++++++--------
 7 files changed, 33 insertions(+), 33 deletions(-)

commit f29a15377a3755eb93d6be9e4bfabfc8f56ad48c
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Apr 9 00:08:00 2009 +0100

    [embed] Update "queue-redraw" signal handler prototype
    
    The prototype for the queue-redraw signal has changed to include a new boolean
    flag; this change updates the prototype of the handler in the widget.

 clutter-gtk/gtk-clutter-embed.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit fb7ead5985af37c5f3ebd7f5c88a7a939d6e338b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 26 15:34:52 2009 +0000

    [embed] Use GTK+ settings
    
    When the style of GtkClutterEmbed changes we need to retrieve all
    the settings and screen options used by GTK+.
    
    This is needed because:
    
      - Clutter does not have any internal code to handle changes
        in the platform settings
    
      - GtkClutterEmbed "enslaves" Clutter to GTK+ already
    
    By default, we reuse:
    
      - the screen resolution
      - the screen font options
      - the default font name
      - the double click distance and time
    
    This way, a Clutter scene embedded into a GtkClutterEmbed will
    look more integrated.

 clutter-gtk/gtk-clutter-embed.c |   48 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 48 insertions(+), 0 deletions(-)

commit 9fd57e31fbb19771d7590c22245e15af85f58084
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 9 00:15:32 2009 +0000

    [docs] Remove the get_originu() method
    
    The gtk_clutter_viewport_get_originu() method was removed from
    the public API, hence we should remove it from the API reference
    as well.

 doc/reference/clutter-gtk-sections.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 112ae76a225af4f82125a60fd4590a5421db88e6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 9 00:14:22 2009 +0000

    [viewport] Remove units-based API
    
    The units-based API is redundant and confusing; instead of returning
    a ClutterVertex we can simply return pixels with a fractionary part.

 clutter-gtk/gtk-clutter-viewport.c |   34 ++++++----------------------------
 clutter-gtk/gtk-clutter-viewport.h |    8 +++-----
 2 files changed, 9 insertions(+), 33 deletions(-)

commit ca70c2044dccc83ee0008d666470a74fd64b4d76
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 9 00:13:09 2009 +0000

    [docs] Remove newline in the version
    
    The newline at the end of the version.xml.in file added a newline
    to the version entity we use in the API reference text and title.

 doc/reference/version.xml.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 53cb8254943f0cbfd5e56d75904ffe2429cfcd37
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 9 00:12:19 2009 +0000

    [docs] Rename SGML to XML
    
    The main documentation file is DocBook XML, not SGML.

 doc/reference/Makefile.am           |    2 +-
 doc/reference/clutter-gtk-docs.sgml |   99 -----------------------------------
 doc/reference/clutter-gtk-docs.xml  |   99 +++++++++++++++++++++++++++++++++++
 3 files changed, 100 insertions(+), 100 deletions(-)

commit db93c9d9ce3163db2150bebda9962a134571ac33
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Feb 8 23:57:05 2009 +0000

    Make the Stage redraw cycle part of GTK+
    
    Right now, the Stage is redrawn every time it requires, in parallel
    to the GTK+ paint cycle. This generates a certain degree of collision,
    as the embedding widget might request a redraw while a Stage redraw
    is in progress, thus leading to a skipped frame.
    
    The embedding toolkit should "drive" the Clutter paint cycle, instead.
    
    The ClutterStage::queue-redraw signal was added exactly for this use
    case. The GtkClutterEmbed widget should intercept every queued redraw
    of the embedded stage, stop it and queue a redraw on the widget itself,
    thus making it play along with the rest of the GTK+ paint cycle
    machinery. The stage is only painted after the widget receives an
    expose event, ensuring that the Clutter scenegraph is repainted only
    when needed.

 clutter-gtk/gtk-clutter-embed.c |   59 +++++++++++++++++++++++++++++++--------
 1 files changed, 47 insertions(+), 12 deletions(-)

commit 5bff448f092fbf9ab89bd725a642c6e45b594932
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 30 14:59:39 2009 +0000

    Load the image asynchronously
    
    The ClutterTexture:load-async property allows ClutterTexture to
    spawn off a worker thread to load an image from disk -- provided
    that we initialize the threading support in GLib, GTK+ and Clutter
    first.

 examples/gtk-clutter-viewport.c |   36 +++++++++++++++++++++++++++++++++++-
 1 files changed, 35 insertions(+), 1 deletions(-)

commit 78e4d895da3029288ca255a880a225156d6111a4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 30 14:58:18 2009 +0000

    Move to ClutterClone
    
    ClutterClone has been introduced in Clutter as a generic actor
    capable of cloning other actors. ClutterCloneTexture has thus
    been removed from the API.

 examples/gtk-clutter-test.c |   32 +++++++++++++++++++++++++++++---
 1 files changed, 29 insertions(+), 3 deletions(-)

commit 7de6efdcd9c4df952038fb4562ec54e3eae8ace6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 30 14:57:23 2009 +0000

    Rename cogl_translatex() to cogl_translate()
    
    The cogl_translatex() call was removed from the COGL API with
    the switch to floats entry points.

 clutter-gtk/gtk-clutter-viewport.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit f8c80a052941f3f629f06c039ef569dcdb25f29b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jan 12 11:22:15 2009 +0000

    Ensure that the viewport is updated when resizing
    
    When we resize the embedded stage we need to make sure that the
    GL viewport is updated as well.

 clutter-gtk/gtk-clutter-embed.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit c797f4079b984b94ace13931bef7c0b32111b73b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 8 16:49:13 2009 +0000

    Use ClutterText in the events example
    
    Instead of using ClutterEntry, which has been deprecated in
    Clutter's master branch, use the newly available ClutterText
    actor.

 examples/gtk-clutter-events.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)
